UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMApplicationHeaderChainElement Class Reference

## Public Member Functions
| LBMApplicationHeaderChainElement ()
byte | getType ()
void | setType (byte type) throws LBMEInvalException
short | getSubtype ()
void | setSubtype (short subtype)
byte[] | getData ()
void | setData (byte[] data)

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMApplicationHeaderChainElement.LBMApplicationHeaderChainElement | ( |  | ) |

Create a new LBMApplicationHeaderChainElement object that can be added to a LBMApplicationHeaderChain.

Returns
  the new LBMApplicationHeaderChainElement object.

Since
  UMQ 1.1

## Member Function Documentation

byte [] com.latencybusters.lbm.LBMApplicationHeaderChainElement.getData | ( |  | ) |

Get the data associated with this application header element.

Returns
  Application header element data. The length of the data array is always a multiple of four. For example, if [57,57] is sent, the received byte array is [57,57,0,0].

Since
  UMQ 1.1

short com.latencybusters.lbm.LBMApplicationHeaderChainElement.getSubtype | ( |  | ) |

Get the user-settable subtype of the application header element.

Returns
  A short representing the user-settable subtype of the application header element.

Since
  UMQ 1.1

byte com.latencybusters.lbm.LBMApplicationHeaderChainElement.getType | ( |  | ) |

Returns the application header element's type. The only currently supported type is LBM#CHAIN_ELEM_USER_DATA.

Returns
  A byte representing the type of application header element.

Since
  UMQ 1.1

void com.latencybusters.lbm.LBMApplicationHeaderChainElement.setData | ( | byte[] | data | ) |

Set the data byte array to be sent with this application header element.

NOTE: Application header element data payloads are currently limited in length to 196 bytes or less.

Parameters

  data | The data byte array to send with this application header element.

Since
  UMQ 1.1

void com.latencybusters.lbm.LBMApplicationHeaderChainElement.setSubtype | ( | short | subtype | ) |

Sets the subtype of the application header element. Subtypes can be any positive number representable by a short. It's up to the user application to assign meaning to and interpret the subtype field.

Parameters

  subtype | The subtype to set this application header element to.

Since
  UMQ 1.1

void com.latencybusters.lbm.LBMApplicationHeaderChainElement.setType | ( | byte | type | ) | throws LBMEInvalException

Sets this application header element's type. The only currently supported type is LBM#CHAIN_ELEM_USER_DATA. Setting this to any other type will cause an exception to be thrown.

Parameters

  type | The type of the application header element. This should always be set to LBM#CHAIN_ELEM_USER_DATA.

Exceptions

  LBMEInvalException | if the type is not supported.

Since
  UMQ 1.1

References com.latencybusters.lbm.LBM.CHAIN_ELEM_USER_DATA.

The documentation for this class was generated from the following file:

- LBMApplicationHeaderChainElement.java